APROPOS(1) | General Commands Manual | APROPOS(1)

# NAME

apropos — search the complete content of all man pages

# SYNOPSIS

apropos | [-123456789Ccp] [-n Number of results] [-S machine] [-s section] query

# DESCRIPTION

The apropos utility performs a full text search over the complete content of all man pages. It uses the FTS engine of Sqlite to perform the search. The database is created with the help of makemandb(8) utility.

This implementation of the apropos utility is more sophisticated than the classical version of apropos. Like modern search applications, it uses advanced techniques like stemming and term weighting to rank the matching results in decreasing order of relevance. By default apropos will only display the top 10 matches in the output.

Quotes are optional for specifying multiword queries.

It supports the following options:

-1
  Search only within section 1 manual pages.
-2
  Search only within section 2 manual pages.
-3
  Search only within section 3 manual pages.
-4
  Search only within section 4 manual pages.
-5
  Search only within section 5 manual pages.
-6
  Search only within section 6 manual pages.
-7
  Search only within section 7 manual pages.
-8
  Search only within section 8 manual pages.
-9
  Search only within section 9 manual pages.
-C
  Do not show the context of the match.
-c
  Do show the context of the match (default).
-n
  Output up to the specified number of search results. The default limit is 10.
-p
  Display all matching results and pipe them through a pager (defaulting to more(1)).
-S machine
  Limit the search to the pages for the specified machine architecture. By default pages for all architectures are shown in the search results.
-s section
  Restrict the search to the specified section of the manual. By default, pages from all section are shown. This option is for backwards compatibility with the classic version of apropos, using it is equivalent to using the [123456789] options directly.

# FILES

/var/db/man.db
  The Sqlite FTS database which contains an index of the manual pages.

# SEE ALSO

man(1), whatis(1), makemandb(8)

# AUTHORS

Abhinav Upadhyay

February 20, 2012 | NetBSD 6.0